GForth(1)

NAME
gforth, gforth-fast, gforthmi - a fast and portable Forth system

SYNOPSIS
gforth [initialization options] [image-specific options] gforth-fast [initialization options] [image-specific options] gforthmi filename [initialization options] [image-specific options]

DESCRIPTION
GForth is a fast and portable implementation of the Forth programming language. For details read the manual.

ENVIRONMENT VARIABLES
GFORTHPATH contains the search path for source and image files. GFORTHD gives the gforth executable used by gforthmi for creating the base images. It should be a double indirect threaded system. Default: gforth-ditc. GFORTH gives the gforth executable used by gforthmi for computing the relocatable image from the base images. Default: gforth. GFORTHHIST gives the location of the history file used by gforth to allow command-line recall. Default: $HOME. (The history file is named .gforth-history).

EXAMPLES
gforth starts the system and goes into interactive mode. gforth file1 file2 -e bye loads and interprets the files file1 and file2, then exits. gforth-fast is the same as gforth, except that it does not support accurate backtraces for signals, and is faster by up to a factor of 2. Use it for debugged, performance-critical programs such as benchmarks. gforthmi asm.fi -m 1M asm.fs creates an image asm.fi that has a default dictionary size of 1MB and has the file asm.fs loaded.

OPTIONS
--help
Lists the available options, including some not described here (see
    also the manual).

--image-file file
Loads the Forth image
    file instead of the default gforth.fi.

--path path
Uses
    path for searching the image file and Forth source code files instead of the default in the environment variable GFORTHPATH or the path specified at installation time (typically /usr/local/lib/gforth:.. A path is given as a :-separated list.

--dictionary-size size
Allocate
    size space for the Forth dictionary space instead of using the default specified in the image (typically 256K). The size specification consists of an integer and a unit (e.g., 4M). The unit can be one of b (bytes), e (element size, in this case Cells), k (kilobytes), and M (Megabytes). If no unit is specified, e is used.

--data-stack-size size
Allocate
    size space for the data stack instead of using the default specified in the image (typically 16K).

--return-stack-size size
Allocate
    size space for the return stack instead of using the default specified in the image (typically 16K).

--fp-stack-size size
Allocate
    size space for the floating point stack instead of using the default specified in the image (typically 16K). In this case the unit specifier e refers to floating point numbers.

--locals-stack-size size
Allocate
    size space for the locals stack instead of using the default specified in the image (typically 16K).

--evaluate forth
Evaluates the
    forth code. This option takes only one argument; if you want to evaluate more Forth words, you have to quote them or use several -es. To exit after processing the command line (instead of entering interactive mode) append -e bye to the command line. This is an image-specific option of the default image.

FILES
.../gforth.fi	default Forth image
*.fi	Forth loadable image
*.fs	Forth source (sequential)
*.fb	Forth source (block)
*.fd	generated with makedoc.fs
*.i	C include files
*.ds	documentation source
*TAGS	etags files

SEE ALSO
The Gforth manual - available in hypertext (Info, HTML) and printable (TeX, PS, ASCII) forms. The ANSI document X3.215-1994 (i.e., the ANS Forth standard). More information on Gforth (e.g., pointers to new versions, to the manual on the WWW and to papers about Gforth) is available through http://www.complang.tuwien.ac.at/projects/forth.html.

AUTHORS
Gforth was written by Anton Ertl, Bernd Paysan, Jens Wilke and others.